gov.ornl.mercury3.services

## Class SolrTransactionServiceDefault

- java.lang.Object
- - gov.ornl.mercury3.services.SolrTransactionServiceDefault

- All Implemented Interfaces:
    SolrTransactionService

      public class SolrTransactionServiceDefault
      extends Object
      implements SolrTransactionService

  The Class SolrTransactionServices.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrTransactionServiceDefault()` Instantiates a new solr transaction services.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SolrTransactionDetail` | `get_browse_details(Search_Terms st)` Gets the _browse_details for the web browse tree.
    `SolrTransactionDetail` | `getSolrTransactionDetail(Search_Terms st, org.dataone.service.types.v1.Session d1Session)` Embeds most of the mercury query building business logic and uses it to build and return the solr transaction detail object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrTransactionServiceDefault

          public SolrTransactionServiceDefault()

      Instantiates a new solr transaction services.

  - ### Method Detail

    - #### getSolrTransactionDetail

          public SolrTransactionDetail getSolrTransactionDetail(Search_Terms st,
                                                       org.dataone.service.types.v1.Session d1Session)

      Description copied from interface: `SolrTransactionService`
      Embeds most of the mercury query building business logic and uses it to build and return the solr transaction detail object.
      Specified by:
        `getSolrTransactionDetail` in interface `SolrTransactionService`
      Parameters:
        `st` - a Search terms object conaining request parameters & etc.
        `d1Session` - TODO
      Returns:
        a populated SolrTransactionDetail object

    - #### get_browse_details

          public SolrTransactionDetail get_browse_details(Search_Terms st)

      Description copied from interface: `SolrTransactionService`
      Gets the _browse_details for the web browse tree.
      Specified by:
        `get_browse_details` in interface `SolrTransactionService`
      Parameters:
        `st` - the search terms object
      Returns:
        the _browse_details

Copyright © 2016. All rights reserved.